Subject: [PATCH 10/12] clk: tegra: move fixed clocks to common file

From: [email-masked] (Stephen Warren)
Date: Tue, 24 Sep 2013 10:47:14 -0600

On 09/24/2013 02:32 AM, Peter De Schrijver wrote:
> On Mon, Sep 23, 2013 at 08:34:48PM +0200, Stephen Warren wrote:
>> On 09/18/2013 08:41 AM, Peter De Schrijver wrote:
>>> Introduce a new file for fixed clocks common between several Tegra
>>> SoCs and move Tegra114 to this new infrastructure.
>>
>>> diff --git a/drivers/clk/tegra/clk-tegra-fixed.c b/drivers/clk/tegra/clk-tegra-fixed.c
>>
>>> +void __init tegra_fixed_clk_init(struct tegra_clk *tegra_clks)
>>
>>> +	/* clk_m_div2 */
>>> +	dt_clk = tegra_lookup_dt_id(tegra_clk_clk_m_div2, tegra_clks);
>>> +	if (dt_clk) {
>>> +		clk = clk_register_fixed_factor(NULL, "clk_m_div2", "clk_m",
>>> +					CLK_SET_RATE_PARENT, 1, 2);
>>> +		clk_register_clkdev(clk, "clk_m_div2", NULL);
>>> +		*dt_clk = clk;
>>> +	}
>>
>> I guess "fixed" means "fixed at run-time", not "identical rate in all
>> systems"? Since this is the crystal rate, it can vary between boards,
>> but I supposed if "fixed" means "fixed at run-time", considering this as
>> a fixed clock is fine.
>>
> 
> Fixed means "fixed at run-time" indeed. Although clk_32k is 32768Hz on all
> boards as well.
> 
>> But, isn't clk_m also a fixed clock then? I would expect one or two more
> 
> I guess the code from clk-tegra-osc.c could be moved here if you think that's
> better?

It's probably not a big deal either way, but since both files are quite
tiny, and closely related, merging them seems reasonable.

>> clocks in this file. What about clk_s, or is that known as clk_32k here?
> 
> I don't think we ever had clk_s in upstream?

Looking at the Tegra114 TRM at least, it seems like it's just another
name for clk_32k. But, if there's more to it than that, I guess there's
no need to add it as part of this series if we haven't had a need for it
yet.